const axios = require('axios');

async function transfer(
  fromAccountNo,
  toAccountNo,
  toAccountType,
  amount,
  narration = 'tranfer from mobile'
) {
  try {
    const response = await axios.post(
      'http://localhost:8689/kccb/Interbankfundtranfer',
      {
        fromAccountNo,
        toAccountNo,
        toAccountType,
        amount,
        narration,
      }
    );
    return response.data;
  } catch (error) {
    throw new Error(
      'API call failed: ' + (error.response?.data?.message || error.message)
    );
  }
}

module.exports = { transfer };
